> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trial Balance

> Generate a Trial Balance Report



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs post /v6/reports/trialBalance
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/reports/trialBalance:
    post:
      tags:
        - Reports
      summary: Trial Balance
      description: Generate a Trial Balance Report
      operationId: generateTrialBalance
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TrialBalanceRequestDto'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SuccessResponseReportDtoTrialBalanceReportJson
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: REQUIRED
                    message: Amount is required
                    param: amount
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - EmbedToken: []
components:
  schemas:
    TrialBalanceRequestDto:
      type: object
      properties:
        exportType:
          type: string
          description: Export format for the report
          enum:
            - JSON
            - CSV
        recipients:
          $ref: '#/components/schemas/Recipients'
        accountingMethod:
          type: string
          description: >-
            Accounting method to generate the report in. Defaults to the
            company's configured accounting method.
          enum:
            - ACCRUAL
            - CASH
        filter:
          $ref: '#/components/schemas/DateRangeFilters'
        grouping:
          $ref: '#/components/schemas/PeriodGrouping'
        dateGrouping:
          type: string
          enum:
            - DAILY
            - MONTHLY
            - QUARTERLY
            - YEARLY
            - NONE
    SuccessResponseReportDtoTrialBalanceReportJson:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          $ref: '#/components/schemas/ReportDtoTrialBalanceReportJson'
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    Recipients:
      type: object
      properties:
        emails:
          type: array
          description: Primary email recipients
          items:
            type: string
            description: Primary email recipients
      description: Email recipients for the report
    DateRangeFilters:
      type: object
      properties:
        beginDate:
          type: string
          description: Beginning date for the report
          format: date
          example: '2025-01-01'
        endDate:
          type: string
          description: Ending date for the report
          format: date
          example: '2025-12-31'
      description: Filters to apply to the report
    PeriodGrouping:
      type: object
      properties:
        period:
          type: string
          description: Date period to group the report by
          example: MONTHLY
          enum:
            - DAILY
            - MONTHLY
            - QUARTERLY
            - YEARLY
            - NONE
        dateGrouping:
          type: string
          enum:
            - DAILY
            - MONTHLY
            - QUARTERLY
            - YEARLY
            - NONE
      description: Grouping options for the report
    ReportDtoTrialBalanceReportJson:
      type: object
      properties:
        json:
          type: array
          description: Report data in JSON format
          items:
            $ref: '#/components/schemas/TrialBalanceReportJson'
        url:
          type: string
          description: URL to download the csv report
        meta:
          $ref: '#/components/schemas/ReportMeta'
      description: The data generated by the action performed.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
    TrialBalanceReportJson:
      type: object
      properties:
        name:
          type: string
          description: Period name
          example: Jan 2025
        period:
          $ref: '#/components/schemas/Period'
        beginningBalance:
          type: integer
          description: Total beginning balance in dollars for this period
        drAmount:
          type: integer
          description: Total debit amount in dollars for this period
        crAmount:
          type: integer
          description: Total credit amount in dollars for this period
        endingBalance:
          type: integer
          description: Cumulative ending balance in dollars for this period
        children:
          type: array
          description: Level-0 account sections (e.g. Assets, Liabilities, Equity)
          nullable: true
          items:
            $ref: '#/components/schemas/TrialBalanceSection'
      description: Report data in JSON format
    ReportMeta:
      type: object
      properties:
        title:
          type: string
          description: Report title
        generatedOn:
          type: string
          description: Date and time when the report was generated
          format: date-time
        generatedBy:
          type: string
          description: User who generated the report
          example: John Doe
        footerLine:
          type: string
          description: Footer line for the report
          example: Generated by Tight
      description: Metadata about the generated report
    Period:
      type: object
      properties:
        beginDate:
          type: string
          format: date
        endDate:
          type: string
          format: date
      description: Period applicable for this section
    TrialBalanceSection:
      type: object
      properties:
        name:
          type: string
          description: Section name
          example: Assets
        accountId:
          type: string
          description: External GL account ID for this section
          nullable: true
          example: gla_123
        accountNo:
          type: string
          description: GL account number for this section
          nullable: true
          example: '10000'
        beginningBalance:
          type: integer
          description: Total beginning balance in dollars for this section
        drAmount:
          type: integer
          description: Total debit amount in dollars for this section
        crAmount:
          type: integer
          description: Total credit amount in dollars for this section
        endingBalance:
          type: integer
          description: Cumulative ending balance in dollars for this section
        children:
          type: array
          description: Leaf GL accounts in this section
          items:
            $ref: '#/components/schemas/TrialBalanceAccount'
      description: Level-0 account sections (e.g. Assets, Liabilities, Equity)
      nullable: true
    TrialBalanceAccount:
      type: object
      properties:
        glAccount:
          $ref: '#/components/schemas/GlAccountExpanded'
        beginningBalance:
          type: integer
          description: Beginning balance in dollars
        drAmount:
          type: integer
          description: Debit amount in dollars
        crAmount:
          type: integer
          description: Credit amount in dollars
        endingBalance:
          type: integer
          description: Cumulative ending balance in dollars
      description: Leaf GL accounts in this section
    GlAccountExpanded:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Id of the GL account
          example: gla_38560327
        name:
          type: string
          description: Name of the GL account
          example: Officer(s) Salaries and Wages
        accountNo:
          type: string
          description: Number of the GL account
          example: '60210'
        type:
          type: string
          description: Type the GL account
          example: EXPENSE
          enum:
            - ASSET
            - LIABILITY
            - EQUITY
            - INCOME
            - COGS
            - EXPENSE
            - OTHER_INCOME
            - OTHER_EXPENSE
            - SUSPENSE
        iconUrl:
          type: string
          description: Icon URL of the GL account
          example: https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png
        displayName:
          type: string
          description: Display name of the GL account
          example: '#60210 Officer(s) Salaries and Wages'
      description: GL account details
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````